%define module_name Lingua-YaTeA
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/General.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(File/Compare.pm) perl(File/Path.pm) perl(Getopt/Long.pm) perl(Module/Build.pm) perl(Module/Build/Compat.pm) perl(NEXT.pm) perl(POSIX.pm) perl(Parse/Yapp.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.626
Release: alt1
Summary: Perl extension for extracting terms from a corpus and providing a syntactic analysis in a head-modi...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TH/THHAMON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is the main module of the software named YaTeA. It aims at
extracting noun phrases that look like terms from a corpus.  It
provides their syntactic analysis in a head-modifier representation.
As an input, the term extractor requires a corpus which has been
segmented into words and sentences, lemmatized and tagged with
part-of-speech (POS) information. The input file is encoded in
UTF-8. The implementation of this term extractor allows to process
large corpora.  Data provided with YaTeA allow to extract terms from
English and French texts.  But new linguistic features can be
integrated to extract terms from another language. Moreover,
linguistic features can be modified or created for a sub-language or
tagset.

For the use of YaTeA, see the documentation with the script `yatea'.

The main strategy of analysis of the term candidates is based on the
exploitation of simple parsing patterns and endogenous
disambiguation. Exogenous disambiguation is also made possible for the
identification and the analysis of term candidates by the use of
external resources, *i.e.* lists of testified terms.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE AUTHORS TODO Changes examples
%perl_vendor_privlib/L*
%_datadir/YaTeA
/etc/yatea
%doc /usr/share/doc/YaTeA

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Tue Dec 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.626-alt1
- regenerated from template by package builder

* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.622-alt1
- initial import by package builder

